package com.zm.order.tool.server.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Description redis内部api配置
 * @Author: ph
 * @Date: 2020/1/6 14:33
 */
@ConfigurationProperties(prefix = "redis.inner")
public class InnerApiStorageProperty {

    /**
     * 主机
     */
    private String host;

    /**
     * 端口
     */
    private Integer port;

    /**
     * 密码
     */
    private String password;

    /**
     * db
     */
    private Integer db;

    /**
     * 超时时间
     */
    private Integer timeout;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getDb() {
        return db;
    }

    public void setDb(Integer db) {
        this.db = db;
    }

    public Integer getTimeout() {
        return timeout;
    }

    public void setTimeout(Integer timeout) {
        this.timeout = timeout;
    }
}
